<!--Main Page (Nav Drawer)-->


<mat-toolbar class="mat-primary toolbar" *ngIf="isLoggedIn$ | async">
    <button mat-icon-button (click)="sidenav.toggle()" color="accent">
        <i class="fas fa-bars fa-lg"></i>
    </button>
    <span>FIT Hub</span>
    <span class="fill-space"></span>
    <button mat-button (click)="onLogout()" class="BackgroundAccent">Logout</button>

</mat-toolbar>

<mat-sidenav-container class="sidenav">
    <mat-sidenav #sidenav mode="side" opened class="sidebar BackgroundAccent" *ngIf="isLoggedIn$ | async">
        <mat-list class="MenuItems">
            <mat-list-item routerLinkActive="RouterLinkActive">
                <a mat-button routerLink="/store">Location Overview</a>
            </mat-list-item>
            <mat-list-item routerLinkActive="RouterLinkActive">
                <a mat-button routerLink="/assets">Assets</a>
            </mat-list-item>
            <mat-list-item routerLinkActive="RouterLinkActive">
                <a mat-button routerLink="/locations">Locations</a>
            </mat-list-item>
   <!--         <mat-list-item routerLinkActive="RouterLinkActive">
                <a mat-button routerLink="/users">Users</a>
            </mat-list-item>
            <mat-list-item routerLinkActive="RouterLinkActive">
                <a mat-button routerLink="/tools">Tools</a>
            </mat-list-item>-->
        </mat-list>

    </mat-sidenav>
    <mat-sidenav-content>
        <router-outlet></router-outlet>

    </mat-sidenav-content>
</mat-sidenav-container>


